.home-hero {
  position: relative;
  overflow: hidden;
  height: 56.25rem;
  padding: 7.5rem 1.25rem 12.5rem;
  display: flex;
  flex-direction: column;
  justify-content: end;
  gap: 3rem;
  @media (min-width: 768px) {
    padding: 10rem 2.5rem 7.5rem;
  }
  @media (min-width: 1024px) {
    padding-inline: 3.75rem;
  }
  @media (min-width: 1200px) {
    padding: 7.5rem 5rem 12.5rem;
  }
  &::before {
    content: "";
    position: absolute;
    top: calc(50% - 0.625rem);
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    display: block;
    pointer-events: none;
    aspect-ratio: 1938 / 355;
    width: 121.125rem;
    background-image: url(/system_panel/uploads/images/wave-stroke.png);
    background-repeat: no-repeat;
    background-size:  100% 100%;
  }
  & .home-hero__image {
    position: relative;
    z-index: 2;
    object-fit: cover;
    width: 100%;
    aspect-ratio: 1 / 1;
    @media (min-width: 768px) {
      width: 30rem;
      margin-left: auto;
      margin-right: auto;
    }
    @media (min-width: 1200px) {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 40rem;
    }
  }
  & .home-hero__content {
    position: relative;
    z-index: 3;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    line-height: 1.25;
    color: var(--snow);
    mix-blend-mode: exclusion;
    & > h1 {
      letter-spacing: 0;
      text-shadow: var(--elevation-1);
      font-size: 2rem;
    }
    & > p {
      letter-spacing: 0.16;
      text-shadow: var(--elevation-1);
      font-size: 0.875rem;
    }
    @media (min-width: 768px) {
      & > h1 {
        font-size: 2.75rem;
      }
      & > p {
        font-size: 1rem;
      }
    }
    @media (min-width: 1024px) {
      & > h1 {
        font-size: 3.5rem;
      }
      & > p {
        font-size: 1.125rem;
      }
    }
    @media (min-width: 1200px) {
      & > h1 {
        font-size: 4rem;
      }
      & > p {
        font-size: 1.5rem;
      }
    }
  }
}

.home-estimate-button {
  position: absolute;
  z-index: 9999;
  top: 56.25rem;
  left: 50%;
  transform: translate(-50%, calc(-100% - 2rem));
  padding: 1rem 4rem 1.5rem 2rem;
  border-radius: 1rem;
  backdrop-filter: blur(4px);
  box-shadow: var(--elevation-1);
  background-color: hsl(from var(--light-blue) h s l / 15%);
  line-height: 1.25;
  font-weight: 500;
  width: max-content;
  text-align: center;
  & p:nth-of-type(1) {
    letter-spacing: 0.08em;
    font-size: 0.75rem;
    color: var(--light-blue);
  }
  & p:nth-of-type(2) {
    margin-top: 0.625rem;
  }
  & p:nth-of-type(3) {
    margin-top: 0.25rem;
    font-size: 0.75rem;
  }
  &::before {
    content: "";
    position: absolute;
    z-index: 9999;
    top: 1.5rem;
    right: -4.25rem;
    display: block;
    pointer-events: none;
    aspect-ratio: 115 / 74;
    width: 7.1875rem;
    background-image: url(/system_panel/uploads/images/cat.svg);
    background-repeat: no-repeat;
    background-size:  100% 100%;
  }
  @media (min-width: 768px) {
    position: fixed;
    inset: auto auto 2rem 2rem;
    transform: none;
  }
}

.home-intro-bg-image {
  position: absolute;
  inset: 0;
  z-index: -1;
  opacity: 25%;
  &::after {
    pointer-events: none;
    position: absolute;
    inset: 0;
    background-image: linear-gradient(180deg, rgba(255, 255, 255, 0.00) 0%, rgba(255, 255, 255, 0.00) 75.96%, #FFF 100%);
  }
  & img {
    object-fit: cover;
    width: 100%;
    height: 100%;
  }
}

.home-blog-list {
  & .webgene-blog {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
  }
}

.swiper:not(.swiper-initialized) {
  & .swiper-wrapper {
    overflow: auto;
    display: flex;
  }
  & .swiper-slide {
    min-width: 30%;
  }
}

.gallery-slider {
  width: 100%;
  & .swiper-wrapper {
    transition-timing-function: linear;
  }
  & .swiper-slide {
    & img {
      object-fit: cover;
      width: 100%;
      aspect-ratio: 3 / 2;
    }
  }
}




